---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/19052#article
headline: "19052: Invalid page size for custom field definition"
url: https://www.twilio.com/docs/api/errors/19052
inLanguage: en
dateModified: 2026-06-08T11:29:20.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 19052: Invalid page size for custom field definition

Log Type: APPLICATION

Log Level: ERROR

## Description

Twilio returns this error when you request custom field definitions with an invalid `page_size` value. Use `GET /v3/marketing/field_definitions` with an integer from 1 through 2000.

### Possible causes

* Your request URL includes a `page_size` value that Twilio cannot parse as an integer.
* Your request URL includes a `page_size` value that is less than 1 or greater than 2000.

### Possible solutions

* Update `page_size` to a parsable integer before you send the request.
* Keep `page_size` within the supported range of 1 through 2000.
* Retry the `GET /v3/marketing/field_definitions` request after you correct the query parameter.

#### Additional resources

* [Get All Field Definitions](/docs/sendgrid/api-reference/custom-fields/get-all-field-definitions)
* [Create Custom Field Definition](/docs/sendgrid/api-reference/custom-fields/create-custom-field-definition)
* [Personalize and segment messages with custom fields](/docs/sendgrid/ui/managing-contacts/custom-fields)
